RMMOD(1)

NAME
rmmod - unload loadable modules

SYNOPSIS
rmmod [ -r ] module ...

DESCRIPTION
Rmmod unloads loadable modules from the kernel.

Rmmod tries to unload a set of modules from the kernel, with the restriction that they are not in use and that they are not referred to by other modules.

If more than one module is named on the command line, the modules will be removed in the given order. This supports unloading of stacked modules.

With the option '-r' a recursive removal of modules will be attempted. This means that if a top module in a stack is named on the command line, all modules that are used by this module will be removed as well, if possible.

SEE ALSO
insmod(1), lsmod(1), ksyms(1), modules(2)

HISTORY
The module support was first concieved by Anonymous (as far as I know...). Linux version by Bas Laarhoven <bas@vimec.nl>, 0.99.14 version by Jon Tombs <jon@gtex02.us.es>, extended by Bjorn Ekwall <bj0rn@blox.se>.

BUGS
Rmmod might have some, but they are well hidden...